cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vadim Gritsenko <va...@reverycodes.com>
Subject Re: Java 1.5 [was svn commit: r579132 - in /cocoon/trunk/core/cocoon-core/src/test/java/org/apache/cocoon/transfo rmation:I18NTransformerTestCase.java I18NTransformerTestCase.java.disabled]
Date Mon, 05 May 2008 12:50:30 GMT
On May 5, 2008, at 3:08 AM, Ralph Goers wrote:

> I sure am glad we decided to go with Java 1.4 for 2.2. See the nice  
> bulletin at http://java.sun.com/j2se/1.4.2/download.html. At least  
> now I'm certain we won't be supporting 1.4 until 2010.
>
> Ralph Goers wrote:
>> Carsten Ziegeler said:
>>
>>
>>> Although I guess everyone understood what I meant above, just a
>>> clarification: of course I meant that it only makes sense to stick  
>>> with
>>> 1.4 if the people working on and using 2.2 *with jdk 1.4* is a  
>>> critical
>>> mass. There is no doubt that currently there are many people
>>> using/develeoping 2.2 in general.
>>>
>>
>> We just switched our Cocoon deployment in production from IBM 1.4  
>> to Sun
>> 1.5 and got at least a 25% performance improvement. Java 1.6 is  
>> out.  It
>> seems nuts to me to continue to target 1.4 on an as yet unreleased  
>> new
>> version of Cocoon.  However, if you view this as a code change then  
>> the
>> voting rules state that a single -1 vetoes the proposal, and we got  
>> that
>> before.  Unless the -1 is rescinded I fear we will be stuck at 1.4  
>> until
>> 2010.

We can bump version number to 2.3 and require Java 1.5 for it. In fact  
I'd proposed this already sometime before. 2.2 can be branched off for  
those few unfortunate who are stuck with Java 1.4.

Vadim

Mime
View raw message